Debian Bug report logs - #331440
debconf: dialog frontend removes first selection in checklists

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Nicolas Boulenguez <nicolas.boulenguez@free.fr>

Date: Mon, 3 Oct 2005 14:03:09 UTC

Severity: normal

Fixed in version dialog/1.0-20051005-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#331440; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debconf: dialog frontend removes first selection in checklists
Date: Mon, 03 Oct 2005 15:53:54 +0200
Package: debconf
Version: 1.4.58
Severity: normal


Hello.

This bug shows up during the debconf questioning for the "locales"
package, when installing after purging, or when dpkg-reconfiguring
after installation.

It affects the "dialog" frontend, but neither "readline" nor
"editor".

In the first debconf menu "Select locales to be generated", select n
languages. Say:

[X] fr_FR ISO-8859-1
[X] fr_FR.UTF-8 UTF-8
[X] fr_FR@euro ISO-8859-15

Only the two last will be present in the second menu "Which locale
should be the default in the system environment?". And only those two
will actually be generated.

I had the same results for each checklist in "dpkg-reconfigure
xserver-xorg".

But a hand-made command line with
"dialog --checklist text 10 35 5 a b on c d on e f on"
worked fine.

Bye.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.9.050419
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages debconf depends on:
ii  debconf-english               1.4.58     small footprint English-only debco
ii  perl-base                     5.8.7-3    The Pathologically Eclectic Rubbis

Versions of packages debconf recommends:
ii  apt-utils                     0.5.28.6   APT utility programs

-- debconf information:
* debconf/frontend: Dialog
* debconf/priority: low



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#331440; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 331440@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Nicolas Boulenguez <nicolas.boulenguez@free.fr>, 331440@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#331440: debconf: dialog frontend removes first selection in checklists
Date: Mon, 3 Oct 2005 20:11:22 -0400
[Message part 1 (text/plain, inline)]
reassign 331440 dialog
thanks

Nicolas Boulenguez wrote:
> In the first debconf menu "Select locales to be generated", select n
> languages. Say:
> 
> [X] fr_FR ISO-8859-1
> [X] fr_FR.UTF-8 UTF-8
> [X] fr_FR@euro ISO-8859-15
> 
> Only the two last will be present in the second menu "Which locale
> should be the default in the system environment?". And only those two
> will actually be generated.

I can't reproduce this using whiptail. It does happen if I force it to
use dialog. From the debug log:

debconf (developer): Input value, "     fr_FR ISO-8859-1" not found in C choices! This should never happen. Perhaps the templates were incorrectly localized.

To reproduce this with dialog and without debconf, run the following
script and take the default in dialog:

#!/bin/sh
dialog '--separate-output' '--checklist' 'Select locales to be generated.' '22' '76' '7' 'aa_DJ ISO-8859-1' '' 'off' 'aa_DJ.UTF-8 UTF-8' '' 'off' 'aa_ER UTF-8' '' 'off' 'aa_ER@saaho UTF-8' '' 'off' 'aa_ET UTF-8' '' 'off' 'af_ZA ISO-8859-1' '' 'off' 'af_ZA.UTF-8 UTF-8' '' 'off' 'am_ET UTF-8' '' 'off' 'an_ES ISO-8859-15' '' 'off' 'an_ES.UTF-8 UTF-8' '' 'off' 'ar_AE ISO-8859-6' '' 'off' 'ar_AE.UTF-8 UTF-8' '' 'off' 'ar_BH ISO-8859-6' '' 'off' 'ar_BH.UTF-8 UTF-8' '' 'off' 'ar_DZ ISO-8859-6' '' 'off' 'ar_DZ.UTF-8 UTF-8' '' 'off' 'ar_EG ISO-8859-6' '' 'off' 'ar_EG.UTF-8 UTF-8' '' 'off' 'ar_IN UTF-8' '' 'off' 'ar_IQ ISO-8859-6' '' 'off' 'ar_IQ.UTF-8 UTF-8' '' 'off' 'ar_JO ISO-8859-6' '' 'off' 'ar_JO.UTF-8 UTF-8' '' 'off' 'ar_KW ISO-8859-6' '' 'off' 'ar_KW.UTF-8 UTF-8' '' 'off' 'ar_LB ISO-8859-6' '' 'off' 'ar_LB.UTF-8 UTF-8' '' 'off' 'ar_LY ISO-8859-6' '' 'off' 'ar_LY.UTF-8 UTF-8' '' 'off' 'ar_MA ISO-8859-6' '' 'off' 'ar_MA.UTF-8 UTF-8' '' 'off' 'ar_OM ISO-8859-6' '' 'off' 'ar_OM.UTF-8 UTF-8' '' 'off' 'ar_QA ISO-8859-6' '' 'off' 'ar_QA.UTF-8 UTF-8' '' 'off' 'ar_SA ISO-8859-6' '' 'off' 'ar_SA.UTF-8 UTF-8' '' 'off' 'ar_SD ISO-8859-6' '' 'off' 'ar_SD.UTF-8 UTF-8' '' 'off' 'ar_SY ISO-8859-6' '' 'off' 'ar_SY.UTF-8 UTF-8' '' 'off' 'ar_TN ISO-8859-6' '' 'off' 'ar_TN.UTF-8 UTF-8' '' 'off' 'ar_YE ISO-8859-6' '' 'off' 'ar_YE.UTF-8 UTF-8' '' 'off' 'az_AZ.UTF-8 UTF-8' '' 'off' 'be_BY CP1251' '' 'off' 'be_BY.UTF-8 UTF-8' '' 'off' 'bg_BG CP1251' '' 'off' 'bg_BG.UTF-8 UTF-8' '' 'off' 'bn_BD UTF-8' '' 'off' 'bn_IN UTF-8' '' 'off' 'br_FR ISO-8859-1' '' 'off' 'br_FR.UTF-8 UTF-8' '' 'off' 'br_FR@euro ISO-8859-15' '' 'off' 'bs_BA ISO-8859-2' '' 'off' 'bs_BA.UTF-8 UTF-8' '' 'off' 'byn_ER UTF-8' '' 'off' 'ca_ES ISO-8859-1' '' 'off' 'ca_ES.UTF-8 UTF-8' '' 'off' 'ca_ES@euro ISO-8859-15' '' 'off' 'cs_CZ ISO-8859-2' '' 'off' 'cs_CZ.UTF-8 UTF-8' '' 'off' 'cy_GB ISO-8859-14' '' 'off' 'cy_GB.UTF-8 UTF-8' '' 'off' 'da_DK ISO-8859-1' '' 'off' 'da_DK.UTF-8 UTF-8' '' 'off' 'de_AT ISO-8859-1' '' 'off' 'de_AT.UTF-8 UTF-8' '' 'off' 'de_AT@euro ISO-8859-15' '' 'off' 'de_BE ISO-8859-1' '' 'off' 'de_BE.UTF-8 UTF-8' '' 'off' 'de_BE@euro ISO-8859-15' '' 'off' 'de_CH ISO-8859-1' '' 'off' 'de_CH.UTF-8 UTF-8' '' 'off' 'de_DE ISO-8859-1' '' 'off' 'de_DE.UTF-8 UTF-8' '' 'off' 'de_DE@euro ISO-8859-15' '' 'off' 'de_LU ISO-8859-1' '' 'off' 'de_LU.UTF-8 UTF-8' '' 'off' 'de_LU@euro ISO-8859-15' '' 'off' 'el_GR ISO-8859-7' '' 'off' 'el_GR.UTF-8 UTF-8' '' 'off' 'en_AU ISO-8859-1' '' 'off' 'en_AU.UTF-8 UTF-8' '' 'off' 'en_BW ISO-8859-1' '' 'off' 'en_BW.UTF-8 UTF-8' '' 'off' 'en_CA ISO-8859-1' '' 'off' 'en_CA.UTF-8 UTF-8' '' 'off' 'en_DK ISO-8859-1' '' 'off' 'en_DK.UTF-8 UTF-8' '' 'off' 'en_GB ISO-8859-1' '' 'off' 'en_GB.UTF-8 UTF-8' '' 'off' 'en_HK ISO-8859-1' '' 'off' 'en_HK.UTF-8 UTF-8' '' 'off' 'en_IE ISO-8859-1' '' 'off' 'en_IE.UTF-8 UTF-8' '' 'off' 'en_IE@euro ISO-8859-15' '' 'off' 'en_IN UTF-8' '' 'off' 'en_NZ ISO-8859-1' '' 'off' 'en_NZ.UTF-8 UTF-8' '' 'off' 'en_PH ISO-8859-1' '' 'off' 'en_PH.UTF-8 UTF-8' '' 'off' 'en_SG ISO-8859-1' '' 'off' 'en_SG.UTF-8 UTF-8' '' 'off' 'en_US ISO-8859-1' '' 'off' 'en_US.UTF-8 UTF-8' '' 'off' 'en_ZA ISO-8859-1' '' 'off' 'en_ZA.UTF-8 UTF-8' '' 'off' 'en_ZW ISO-8859-1' '' 'off' 'en_ZW.UTF-8 UTF-8' '' 'off' 'es_AR ISO-8859-1' '' 'off' 'es_AR.UTF-8 UTF-8' '' 'off' 'es_BO ISO-8859-1' '' 'off' 'es_BO.UTF-8 UTF-8' '' 'off' 'es_CL ISO-8859-1' '' 'off' 'es_CL.UTF-8 UTF-8' '' 'off' 'es_CO ISO-8859-1' '' 'off' 'es_CO.UTF-8 UTF-8' '' 'off' 'es_CR ISO-8859-1' '' 'off' 'es_CR.UTF-8 UTF-8' '' 'off' 'es_DO ISO-8859-1' '' 'off' 'es_DO.UTF-8 UTF-8' '' 'off' 'es_EC ISO-8859-1' '' 'off' 'es_EC.UTF-8 UTF-8' '' 'off' 'es_ES ISO-8859-1' '' 'off' 'es_ES.UTF-8 UTF-8' '' 'off' 'es_ES@euro ISO-8859-15' '' 'off' 'es_GT ISO-8859-1' '' 'off' 'es_GT.UTF-8 UTF-8' '' 'off' 'es_HN ISO-8859-1' '' 'off' 'es_HN.UTF-8 UTF-8' '' 'off' 'es_MX ISO-8859-1' '' 'off' 'es_MX.UTF-8 UTF-8' '' 'off' 'es_NI ISO-8859-1' '' 'off' 'es_NI.UTF-8 UTF-8' '' 'off' 'es_PA ISO-8859-1' '' 'off' 'es_PA.UTF-8 UTF-8' '' 'off' 'es_PE ISO-8859-1' '' 'off' 'es_PE.UTF-8 UTF-8' '' 'off' 'es_PR ISO-8859-1' '' 'off' 'es_PR.UTF-8 UTF-8' '' 'off' 'es_PY ISO-8859-1' '' 'off' 'es_PY.UTF-8 UTF-8' '' 'off' 'es_SV ISO-8859-1' '' 'off' 'es_SV.UTF-8 UTF-8' '' 'off' 'es_US ISO-8859-1' '' 'off' 'es_US.UTF-8 UTF-8' '' 'off' 'es_UY ISO-8859-1' '' 'off' 'es_UY.UTF-8 UTF-8' '' 'off' 'es_VE ISO-8859-1' '' 'off' 'es_VE.UTF-8 UTF-8' '' 'off' 'et_EE ISO-8859-1' '' 'off' 'et_EE.ISO-8859-15 ISO-8859-15' '' 'off' 'et_EE.UTF-8 UTF-8' '' 'off' 'eu_ES ISO-8859-1' '' 'off' 'eu_ES.UTF-8 UTF-8' '' 'off' 'eu_ES@euro ISO-8859-15' '' 'off' 'eu_FR ISO-8859-1' '' 'off' 'eu_FR.UTF-8 UTF-8' '' 'off' 'eu_FR@euro ISO-8859-15' '' 'off' 'fa_IR UTF-8' '' 'off' 'fi_FI ISO-8859-1' '' 'off' 'fi_FI.UTF-8 UTF-8' '' 'off' 'fi_FI@euro ISO-8859-15' '' 'off' 'fo_FO ISO-8859-1' '' 'off' 'fo_FO.UTF-8 UTF-8' '' 'off' 'fr_BE ISO-8859-1' '' 'off' 'fr_BE.UTF-8 UTF-8' '' 'off' 'fr_BE@euro ISO-8859-15' '' 'off' 'fr_CA ISO-8859-1' '' 'off' 'fr_CA.UTF-8 UTF-8' '' 'off' 'fr_CH ISO-8859-1' '' 'off' 'fr_CH.UTF-8 UTF-8' '' 'off' 'fr_FR ISO-8859-1' '' 'on' 'fr_FR.UTF-8 UTF-8' '' 'on' 'fr_FR@euro ISO-8859-15' '' 'on' 'fr_LU ISO-8859-1' '' 'off' 'fr_LU.UTF-8 UTF-8' '' 'off' 'fr_LU@euro ISO-8859-15' '' 'off' 'ga_IE ISO-8859-1' '' 'off' 'ga_IE.UTF-8 UTF-8' '' 'off' 'ga_IE@euro ISO-8859-15' '' 'off' 'gd_GB ISO-8859-15' '' 'off' 'gd_GB.UTF-8 UTF-8' '' 'off' 'gez_ER UTF-8' '' 'off' 'gez_ER@abegede UTF-8' '' 'off' 'gez_ET UTF-8' '' 'off' 'gez_ET@abegede UTF-8' '' 'off' 'gl_ES ISO-8859-1' '' 'off' 'gl_ES.UTF-8 UTF-8' '' 'off' 'gl_ES@euro ISO-8859-15' '' 'off' 'gu_IN UTF-8' '' 'off' 'gv_GB ISO-8859-1' '' 'off' 'gv_GB.UTF-8 UTF-8' '' 'off' 'he_IL ISO-8859-8' '' 'off' 'he_IL.UTF-8 UTF-8' '' 'off' 'hi_IN UTF-8' '' 'off' 'hr_HR ISO-8859-2' '' 'off' 'hr_HR.UTF-8 UTF-8' '' 'off' 'hu_HU ISO-8859-2' '' 'off' 'hu_HU.UTF-8 UTF-8' '' 'off' 'id_ID ISO-8859-1' '' 'off' 'id_ID.UTF-8 UTF-8' '' 'off' 'is_IS ISO-8859-1' '' 'off' 'is_IS.UTF-8 UTF-8' '' 'off' 'it_CH ISO-8859-1' '' 'off' 'it_CH.UTF-8 UTF-8' '' 'off' 'it_IT ISO-8859-1' '' 'off' 'it_IT.UTF-8 UTF-8' '' 'off' 'it_IT@euro ISO-8859-15' '' 'off' 'iw_IL ISO-8859-8' '' 'off' 'iw_IL.UTF-8 UTF-8' '' 'off' 'ja_JP.EUC-JP EUC-JP' '' 'off' 'ja_JP.UTF-8 UTF-8' '' 'off' 'ka_GE GEORGIAN-PS' '' 'off' 'ka_GE.UTF-8 UTF-8' '' 'off' 'kk_KZ PT154' '' 'off' 'kk_KZ.UTF-8 UTF-8' '' 'off' 'kl_GL ISO-8859-1' '' 'off' 'kl_GL.UTF-8 UTF-8' '' 'off' 'kn_IN UTF-8' '' 'off' 'ko_KR.EUC-KR EUC-KR' '' 'off' 'ko_KR.UTF-8 UTF-8' '' 'off' 'kw_GB ISO-8859-1' '' 'off' 'kw_GB.UTF-8 UTF-8' '' 'off' 'lg_UG ISO-8859-10' '' 'off' 'lg_UG.UTF-8 UTF-8' '' 'off' 'lo_LA UTF-8' '' 'off' 'lt_LT ISO-8859-13' '' 'off' 'lt_LT.UTF-8 UTF-8' '' 'off' 'lv_LV ISO-8859-13' '' 'off' 'lv_LV.UTF-8 UTF-8' '' 'off' 'mi_NZ ISO-8859-13' '' 'off' 'mi_NZ.UTF-8 UTF-8' '' 'off' 'mk_MK ISO-8859-5' '' 'off' 'mk_MK.UTF-8 UTF-8' '' 'off' 'ml_IN UTF-8' '' 'off' 'mn_MN UTF-8' '' 'off' 'mr_IN UTF-8' '' 'off' 'ms_MY ISO-8859-1' '' 'off' 'ms_MY.UTF-8 UTF-8' '' 'off' 'mt_MT ISO-8859-3' '' 'off' 'mt_MT.UTF-8 UTF-8' '' 'off' 'nb_NO ISO-8859-1' '' 'off' 'nb_NO.UTF-8 UTF-8' '' 'off' 'ne_NP UTF-8' '' 'off' 'nl_BE ISO-8859-1' '' 'off' 'nl_BE.UTF-8 UTF-8' '' 'off' 'nl_BE@euro ISO-8859-15' '' 'off' 'nl_NL ISO-8859-1' '' 'off' 'nl_NL.UTF-8 UTF-8' '' 'off' 'nl_NL@euro ISO-8859-15' '' 'off' 'nn_NO ISO-8859-1' '' 'off' 'nn_NO.UTF-8 UTF-8' '' 'off' 'oc_FR ISO-8859-1' '' 'off' 'oc_FR.UTF-8 UTF-8' '' 'off' 'om_ET UTF-8' '' 'off' 'om_KE ISO-8859-1' '' 'off' 'om_KE.UTF-8 UTF-8' '' 'off' 'pa_IN UTF-8' '' 'off' 'pl_PL ISO-8859-2' '' 'off' 'pl_PL.UTF-8 UTF-8' '' 'off' 'pt_BR ISO-8859-1' '' 'off' 'pt_BR.UTF-8 UTF-8' '' 'off' 'pt_PT ISO-8859-1' '' 'off' 'pt_PT.UTF-8 UTF-8' '' 'off' 'pt_PT@euro ISO-8859-15' '' 'off' 'ro_RO ISO-8859-2' '' 'off' 'ro_RO.UTF-8 UTF-8' '' 'off' 'ru_RU ISO-8859-5' '' 'off' 'ru_RU.KOI8-R KOI8-R' '' 'off' 'ru_RU.UTF-8 UTF-8' '' 'off' 'ru_UA KOI8-U' '' 'off' 'ru_UA.UTF-8 UTF-8' '' 'off' 'se_NO UTF-8' '' 'off' 'sid_ET UTF-8' '' 'off' 'sk_SK ISO-8859-2' '' 'off' 'sk_SK.UTF-8 UTF-8' '' 'off' 'sl_SI ISO-8859-2' '' 'off' 'sl_SI.UTF-8 UTF-8' '' 'off' 'so_DJ ISO-8859-1' '' 'off' 'so_DJ.UTF-8 UTF-8' '' 'off' 'so_ET UTF-8' '' 'off' 'so_KE ISO-8859-1' '' 'off' 'so_KE.UTF-8 UTF-8' '' 'off' 'so_SO ISO-8859-1' '' 'off' 'so_SO.UTF-8 UTF-8' '' 'off' 'sq_AL ISO-8859-1' '' 'off' 'sq_AL.UTF-8 UTF-8' '' 'off' 'sr_CS ISO-8859-5' '' 'off' 'sr_CS.UTF-8 UTF-8' '' 'off' 'st_ZA ISO-8859-1' '' 'off' 'st_ZA.UTF-8 UTF-8' '' 'off' 'sv_FI ISO-8859-1' '' 'off' 'sv_FI.UTF-8 UTF-8' '' 'off' 'sv_FI@euro ISO-8859-15' '' 'off' 'sv_SE ISO-8859-1' '' 'off' 'sv_SE.UTF-8 UTF-8' '' 'off' 'ta_IN UTF-8' '' 'off' 'te_IN UTF-8' '' 'off' 'tg_TJ KOI8-T' '' 'off' 'tg_TJ.UTF-8 UTF-8' '' 'off' 'th_TH TIS-620' '' 'off' 'th_TH.UTF-8 UTF-8' '' 'off' 'ti_ER UTF-8' '' 'off' 'ti_ET UTF-8' '' 'off' 'tig_ER UTF-8' '' 'off' 'tl_PH ISO-8859-1' '' 'off' 'tl_PH.UTF-8 UTF-8' '' 'off' 'tr_TR ISO-8859-9' '' 'off' 'tr_TR.UTF-8 UTF-8' '' 'off' 'tt_RU.UTF-8 UTF-8' '' 'off' 'uk_UA KOI8-U' '' 'off' 'uk_UA.UTF-8 UTF-8' '' 'off' 'ur_PK UTF-8' '' 'off' 'uz_UZ ISO-8859-1' '' 'off' 'uz_UZ.UTF-8 UTF-8' '' 'off' 'uz_UZ@cyrillic UTF-8' '' 'off' 'vi_VN UTF-8' '' 'off' 'vi_VN.TCVN TCVN5712-1' '' 'off' 'wa_BE ISO-8859-1' '' 'off' 'wa_BE.UTF-8 UTF-8' '' 'off' 'wa_BE@euro ISO-8859-15' '' 'off' 'xh_ZA ISO-8859-1' '' 'off' 'xh_ZA.UTF-8 UTF-8' '' 'off' 'yi_US CP1255' '' 'off' 'yi_US.UTF-8 UTF-8' '' 'off' 'zh_CN GB2312' '' 'off' 'zh_CN.GB18030 GB18030' '' 'off' 'zh_CN.GBK GBK' '' 'off' 'zh_CN.UTF-8 UTF-8' '' 'off' 'zh_HK BIG5-HKSCS' '' 'off' 'zh_HK.UTF-8 UTF-8' '' 'off' 'zh_SG GB2312' '' 'off' 'zh_SG.GBK GBK' '' 'off' 'zh_SG.UTF-8 UTF-8' '' 'off' 'zh_TW BIG5' '' 'off' 'zh_TW.EUC-TW EUC-TW' '' 'off' 'zh_TW.UTF-8 UTF-8' '' 'off' 'zu_ZA ISO-8859-1' '' 'off' 'zu_ZA.UTF-8 UTF-8' '' 'off' 2>/tmp/dialog-out
clear
echo "Dialog output:"
cat /tmp/dialog-out

The script outputs the following:

Dialog output:
	fr_FR ISO-8859-1
fr_FR.UTF-8 UTF-8
fr_FR@euro ISO-8859-15

Note the extra tab before the first returned value -- this is a
dialog bug. Reassigning.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `debconf' to `dialog'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 331440-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 331440-close@bugs.debian.org
Subject: Bug#331440: fixed in dialog 1.0-20051005-1
Date: Thu, 06 Oct 2005 11:32:05 -0700
Source: dialog
Source-Version: 1.0-20051005-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20051005-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20051005-1.diff.gz
dialog_1.0-20051005-1.dsc
  to pool/main/d/dialog/dialog_1.0-20051005-1.dsc
dialog_1.0-20051005-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20051005-1_powerpc.deb
dialog_1.0-20051005.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20051005.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 331440@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  6 Oct 2005 20:09:12 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20051005-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 331440
Changes: 
 dialog (1.0-20051005-1) unstable; urgency=medium
 .
   * New upstream release.
   - Fixed interaction between --separate-output and --output-separator,
     broken in the previous version (Closes: #331440).
Files: 
 3efacfa51a6b32001487e9e401921f2c 593 misc optional dialog_1.0-20051005-1.dsc
 093b0839901b80423df1c93f1ad4d7ca 308598 misc optional dialog_1.0-20051005.orig.tar.gz
 6b2fac2af49f58b403957dbdad54143f 7968 misc optional dialog_1.0-20051005-1.diff.gz
 4bae516c80dee308a3778c38b6d50e69 207604 misc optional dialog_1.0-20051005-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDRWjhd9Uuvj7yPNYRAmsHAJ0anAmXz2Q9C74cJ0EWKJCn41i6RgCggFYm
S7GlPyFDS6Q6sX/3XyNgKVY=
=HcGS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 07:57:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:14:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.